﻿<%@ Page Language="VB" AutoEventWireup="false" Inherits="LogIn2" Codebehind="LogIn2.aspx.vb" Src="~/LogIn2.aspx.vb" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v10.1, Version=10.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register Assembly="DevExpress.Web.v10.1, Version=10.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxPopupControl" TagPrefix="dxpc" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>DBxtra .NET - Report Web Service</title>
    <link id="cStyleSheetGeneral" rel="stylesheet" type="text/css" runat="server" />
    <link id="cStyleSheetParameter" rel="stylesheet" type="text/css" runat="server" />
    <link id="cStyleSheetLogin" rel="stylesheet" type="text/css" runat="server" />     
</head>

<body class="BodyStyle">
<script language="javascript">
    function SendMail() {
        document.getElementById('form1').SendMail.value = true;
        document.getElementById('form1').submit();
    }
</script>
    <form id="form1" runat="server">

        <dxpc:ASPxPopupControl ID="CommentsPopup" runat="server" CloseAction="CloseButton" Modal="True" 
              PopupHorizontalAlign="WindowCenter" ShowFooter="true" 
              PopupVerticalAlign="WindowCenter" ClientInstanceName="CommentsPopup" HeaderText="DBxtra Report Software" FooterText="" 
              AllowDragging="True" EnableAnimation="True"  EnableViewState="False" Width="600px" AllowResize="false"
              >
         <ContentCollection>
           <dxpc:PopupControlContentControl>
                        <table border="0" cellpadding="0" cellspacing="2" style="width: 600px;">
                                <tr>
                                    <td><dx:ASPxImage ID="ASPxImage2" class="LogoImg" runat="server" ImageUrl="~/DBxtra-Logo.png" AlternateText="DBxtra Report Software"></dx:ASPxImage>
                                        &nbsp;</td>
                                </tr>
                                <tr>
                                    <td>
                                        <p class="lbDBxtra">
                                        <b>You’re running DBxtra and its Report Web Service in trial mode.</b><br /><br />
                                        Please remember; if you decide to order DBxtra you’ll also need to purchase a Report Web Service license to run it.<br /><br />
                                        Or you can also use the Free Desktop Report Viewer to open previously designed reports.<br /><br />
                                        Learn more about the Report Web Service:  <a href="http://www.dbxtra.com/report-web-service.htm" class="MoreCommentsLink" target="_blank">www.dbxtra.com/report-web-service.htm</a><br /><br />
                                        Learn more about the Free Desktop Report Viewer: <a href="http://www.dbxtra.com/free-report-viewer.htm" class="MoreCommentsLink" target="_blank">www.dbxtra.com/free-report-viewer.htm</a><br /><br />
                                        <asp:CheckBox ID="chkDemoInfo" runat="server" />Don’t show this anymore.<br /><br /><br />
                                        </p> 
                              
                                    </td>
                                </tr>
                            </table>
           </dxpc:PopupControlContentControl>
         </ContentCollection>
        </dxpc:ASPxPopupControl>
    
 <% If HideElement("HideHeader") OrElse Me.IsEmbedded = False Then%>         
   <div id="HeaderContent" class="HeaderContent">
      <!-- #INCLUDE FILE="HeaderContent.htm" --> 
   </div>
 <%       End If%> 
 <% If HideElement("HideLeftSidebar") OrElse Me.IsEmbedded = False Then%>     
    <div id="SideLeft" class="SideLeft">
      <!-- #INCLUDE FILE="SideLeftContent.htm" --> 
    </div>
 <%       End If%> 
    <div id="Content" class="Content" runat="server">
   
    <%      If Not HideElement("Logo") Then%>
      <div id="LogoDiv" class="LogoDiv">
        <a id="LogoLink" href="<%=Commonfunctions.LsLogoLink %>"><dx:ASPxImage ID="ASPxImage1" class="LogoImg" runat="server" ImageUrl="~/DBxtra-Logo.png" AlternateText="DBxtra Report Software"></dx:ASPxImage></a>
      </div>
    <%      End If %>
      <div class="LoginDiv">
       <TABLE class="LoginTable">
<%
    If Not IsEmbedded() Then
 %> 
<TR><TD COLSPAN="2">&nbsp;</TD></TR>
<TR><TD COLSPAN="2">&nbsp;</TD></TR> 
<TR><TD COLSPAN="2" align=center>
	<asp:Label ID="lbDBxtra" runat="server" Text="DBxtra .NET - Report Web Service" CssClass="lbDBxtra"></asp:Label>
	</TD>
</TR>
<TR><TD COLSPAN="2">&nbsp;</TD></TR>
<%
    end if
 %> 
    <TR><TD COLSPAN="2" align="center"><p><asp:Label ID="Msg"  Font-Names="Arial" ForeColor="red" Font-Size="Small" runat="server" /></p>	</TD></TR>		
	<TR>
	<TD ALIGN="RIGHT" style="width: 30%">
        <asp:Label ID="lblUser" runat="server" Text="User ID:" CssClass="lbUser"></asp:Label>&nbsp;</TD>
	<TD ALIGN="LEFT"><asp:TextBox ID="UserEmail" runat="server" Width="240px" CssClass="txtUser"/><br />
        <asp:RequiredFieldValidator ID="valUser" 
            ControlToValidate="UserEmail"
            Display="Dynamic" 
            ErrorMessage="Please enter User ID." 
            runat="server"/></TD>
	</TR>
	<TR><TD COLSPAN="2">&nbsp;</TD></TR>
	<TR>
	    <TD ALIGN="RIGHT" style="width: 30%">
            <asp:Label ID="lblPass" runat="server" Text="Password:" CssClass="lbPassword"></asp:Label>&nbsp;</TD>
	    <TD ALIGN="LEFT"><asp:TextBox ID="UserPass" TextMode="Password" runat="server" Width="240px" CssClass="txtPassword" /></TD>
    </TR>
	<TR><TD COLSPAN="2">&nbsp;</TD></TR>
	<TR><TD COLSPAN="2" align="center"><asp:Button ID="btnSubmit" OnClick="Logon_Click" Text="Sign In" runat="server" CssClass="btnSignIn" /><br />
	
            <input id="SendMail" name="SendMail" type="hidden" value="" />
            <asp:HyperLink ID="lblForgot" runat="server" NavigateUrl="javascript:SendMail();" CssClass="ForgotPasswordLink">Forgot Password?</asp:HyperLink>
        | 
        <asp:Label ID="lblRemember" runat="server" Text="Remember me?" CssClass="lbRememberMe"></asp:Label><asp:CheckBox ID="Persist" runat="server" />
    </TD></TR>
	</TABLE>     
      </div>
      
    <%      If Not HideElement("Powered") Then%>
      <div id="dbxPoweredDiv" class="dbxPoweredDiv">
        <br />
        <a href="http://www.dbxtra.com" target="_blank" class="DBxtraPoweredLink" >DBxtra .NET Ver.<%=GetDBxtraWebServiceVersion()%><br>Powered by DBxtra</a>
        <br /><br />      
      </div>
    <%      End If %>      
     
    </div>          
<%  If HideElement("HideRightSidebar") OrElse Me.IsEmbedded = False Then%>              
    <div id="SideRight" class="SideRight">
      <!-- #INCLUDE FILE="SideRightContent.htm" -->
    </div>   
 <%       End If%>      
 <% If HideElement("HideFooter") OrElse Me.IsEmbedded = False Then%>         
   <div id="FooterContent" class="FooterContent">
      <!-- #INCLUDE FILE="FooterContent.htm" -->
   </div>
 <%       End If%>      
    </form>
    <%If GetShowInfoDemo() Then%>
        <script language="javascript">
            CommentsPopup.Show();
        </script>
    <%end if %>
    <script type="text/javascript" >
        function autosubmit() {
            var btn = document.getElementById('btnSubmit');
            btn.click();
        }
        setTimeout("autosubmit()", 0);
    </script>
</body>
</html>

